%define upstream_name    Test-XPath
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Test XML and HTML content and structure with XPath expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildArch:  noarch
Recommends: perl(HTML::Selector::XPath)

%description
Test::XPath is a Perl extension that allows one to use the power of XPath
expressions to validate the structure of one's XML and HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.200.0-2.mga10
+ Revision: 2214743
- Mageia 10 Mass Rebuild

* Tue Jun 14 2022 tv <tv> 0.200.0-1.mga9
+ Revision: 1864404
- update to 0.20

* Mon Mar 21 2022 umeabot <umeabot> 0.190.0-4.mga9
+ Revision: 1810453
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-3.mga8
+ Revision: 1506620
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1286848
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1233675
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1034881
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 947916
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 741416
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 686583
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 515446
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 373923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.160.0-1.mga3
+ Revision: 335080
- Fixes
- imported package perl-Test-XPath


* Tue Dec 25 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
